%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): /usr/bin/spamassassin perl(Config.pm) perl(Error.pm) perl(HTTP/Daemon.pm) perl(HTTP/Status.pm) perl(Konfidi/Client.pm) perl(Mail/SpamAssassin.pm) perl(Mail/SpamAssassin/Logger.pm) perl(Mail/SpamAssassin/Plugin.pm) perl(Mail/SpamAssassin/Timeout.pm) perl(Module/Build.pm) perl(Test/Harness.pm) perl(Test/MockObject.pm) perl(Test/MockObject/Extends.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.0.1
%define module_name Mail-SpamAssassin-Plugin-Konfidi
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.1
Release: alt1
Summary: A SpamAssassin plugin that uses the Konfidi distributed trust network for authenticated messages.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BR/BRONDSEM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This plugin currently only uses OpenPGP signatures for authentication and requires the Mail::SpamAssassin::Plugin::OpenPGP manpage.  Future versions will also support the Mail::SpamAssassin::Plugin::SPF manpage and
the Mail::SpamAssassin::Plugin::DKIM manpage for authentication.

The loadplugin statement for OpenPGP must occur before the loadplugin statement for Konfidi.  This can be done by putting them in order in one file, or naming your configuration files in order like 26_openpgp.cf and 61_konfidi.cf

For project information, see http://konfidi.org


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE-Apache.txt Changes
%perl_vendor_privlib/M*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by package builder

